searchData={"items":[{"type":"module","title":"OTT","doc":"Documentation for `OTT`.","ref":"OTT.html"},{"type":"function","title":"OTT.access_token_data/1","doc":"Access the token data.\n\nReturns the data associated with the token only if the token has not been used and has not been revoked.\nOtherwise, it returns `nil`.","ref":"OTT.html#access_token_data/1"},{"type":"function","title":"OTT.generate_token!/2","doc":"Generates a one-time token for the specified data.","ref":"OTT.html#generate_token!/2"},{"type":"function","title":"Options - OTT.generate_token!/2","doc":"* `:expires_in_minutes` - the duration of validity for the token in minutes.\n    Defaults to 5 minutes.\n  * `:token_length` - the length of the generated token. Defaults to 10 chars.","ref":"OTT.html#generate_token!/2-options"},{"type":"extras","title":"OTT","doc":"# OTT\n\n[![GitHub Workflow Status](https://img.shields.io/github/workflow/status/elielhaouzi/ott/CI?cacheSeconds=3600&style=flat-square)](https://github.com/elielhaouzi/ott/actions) [![GitHub issues](https://img.shields.io/github/issues-raw/elielhaouzi/ott?style=flat-square&cacheSeconds=3600)](https://github.com/elielhaouzi/ott/issues) [![License](https://img.shields.io/badge/license-MIT-brightgreen.svg?cacheSeconds=3600?style=flat-square)](http://opensource.org/licenses/MIT) [![Hex.pm](https://img.shields.io/hexpm/v/ott?style=flat-square)](https://hex.pm/packages/ott) [![Hex.pm](https://img.shields.io/hexpm/dt/ott?style=flat-square)](https://hex.pm/packages/ott)\n\nA One-Time Token (OTT) is a unique and time-sensitive authentication mechanism used for secure login processes or transactions, ensuring each token is single-use only.\n\nThis package facilitates the creation and management of OTTs, empowering developers to seamlessly integrate this robust security measure into their applications.","ref":"readme.html"},{"type":"extras","title":"Installation - OTT","doc":"OTT is published on [Hex](https://hex.pm/packages/ott). The package can be installed by adding `ott` to your list of dependencies in `mix.exs`:\n\n```elixir\ndef deps do\n  [\n    {:ott, \"~> 0.1.0\"}\n  ]\nend\n```\n\nAfter the packages are installed you must create a database migration to add the ott tables to your database:\n\n```elixir\ndefmodule MyApp.Repo.Migrations.AddOTTTables do\n  use Ecto.Migration\n\n  def up do\n    OTT.Migrations.V1.up()\n  end\n\n  def down do\n    OTT.Migrations.V1.down()\n  end\nend\n```\n\nNow, run the migration to create the table:\n\n```sh\nmix ecto.migrate\n```","ref":"readme.html#installation"},{"type":"extras","title":"Usage - OTT","doc":"```elixir\niex(1)> OTT.generate_token!(%{\"user_id\" => 1})\n\"xDkfMo23dm\"\niex(2)> OTT.access_token_data(\"xDkfMo23dm\")\n%{\"user_id\" => 1}\niex(3)> OTT.access_token_data(\"xDkfMo23dm\")\nnil\n```","ref":"readme.html#usage"}],"content_type":"text/markdown","producer":{"name":"ex_doc","version":[48,46,51,49,46,50]}}